%global with_log4cpp   0
%global with_log4shib  1

Name: shibboleth-resolver
Version: 3.4.0
Summary: Shibboleth SP Attribute Resolver Library
Release: 1%{?dist}
Vendor: Shibboleth Consortium
License: Apache-2.0
URL: https://www.shibboleth.net/
Source: http://shibboleth.net/downloads/service-provider/extensions/shibresolver/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++
BuildRequires: krb5-devel
%if 0%{?with_log4cpp}
BuildRequires: log4cpp-devel >= 1.0
%endif
%if 0%{?with_log4shib}
BuildRequires: log4shib-devel >= 2.0.1
%endif
BuildRequires: xerces-c-devel >= 3.2.1
BuildRequires: xml-security-c-devel >= 2.0.4
BuildRequires: xmltooling-devel >= 3.2.1
BuildRequires: opensaml-devel >= 3.2.1
BuildRequires: shibboleth-sp-devel >= 3.2.1

%description
This package contains a Shibboleth SP Extension that provides
externally accessible attribute resolver functionality for processing
local and remote sources of federated attribute information.

%package devel
Summary: Shibboleth SP Attribute Resolver development Headers
Requires: %{name} = %{version}-%{release}
%if 0%{?with_log4cpp}
Requires: log4cpp-devel >= 1.0
%endif
%if 0%{?with_log4shib}
Requires: log4shib-devel >= 2.0.1
%endif
Requires: xerces-c-devel >= 3.2.1
Requires: xml-security-c-devel >= 2.0.4
Requires: xmltooling-devel >= 3.2.1
Requires: opensaml-devel >= 3.2.1
Requires: shibboleth-sp-devel >= 3.2.1

%description devel
This package contains a Shibboleth SP Extension that provides
externally accessible attribute resolver functionality for processing
local and remote sources of federated attribute information.

This package includes files needed for development.

%prep
%setup -q

%build
%configure --with-gssapi
%{__make} pkgdocdir=%{pkgdocdir}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} pkgdocdir=%{_pkgdocdir}

%check
%{__make} check

%ldconfig_scriptlets

%files
%defattr(-,root,root,-)
%{_libdir}/libshibresolver-lite.so.*
%{_libdir}/libshibresolver.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/shibresolver.pc
%{_libdir}/pkgconfig/shibresolver-lite.pc
%doc %{_pkgdocdir}

%changelog
* Tue Dec 13 2022 Jean-Marc Liger <ligenix@iscp.fr> - 3.4.0-1
- Update to 3.4.0

* Sat Aug 27 2022 Jean-Marc Liger <ligenix@iscp.fr> - 3.3.0-1
- Update to 3.3.0
- Switch to with/without macros

* Tue Oct 12 2021 Jean-Marc Liger <ligenix@iscp.fr> - 3.2.0-2
- Switch to %ldconfig_scriptlets
- Rebuild for COPR EL8

* Mon Dec 7 2020  Scott Cantor  <cantor.2@osu.edu> - 3.2.0-1|1.1
- Bump version

* Thu Apr 2 2020  Scott Cantor  <cantor.2@osu.edu> - 3.1.0-1
- Bump version

* Mon Sep 30 2019  Scott Cantor  <cantor.2@osu.edu>  - 3.0.0-2
- CentOS 8 changes

* Fri Jul 20 2018  Scott Cantor  <cantor.2@osu.edu>  - 3.0.0-1
- Redo package for SP 3 release

* Wed Jan 25 2017  Scott Cantor  <cantor.2@osu.edu>  - 1.0.0-2
- Apply fixes to make this available via official package sets

* Wed Aug 27 2014  Scott Cantor  <cantor.2@osu.edu>  - 1.0-1
- Update specfile for release, with RH7 changes

* Tue Sep 14 2010  Scott Cantor  <cantor.2@osu.edu>  - 0.1-1
- Initial specfile
